Debian Bug report logs - #659427
skktools: Uses perl4 corelibs without Depends

version graph

Package: skktools; Maintainer for skktools is Tatsuya Kinoshita <tats@debian.org>; Source for skktools is src:skktools.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 11 Feb 2012 00:00:36 UTC

Severity: normal

Found in version skktools/1.3.2-1

Fixed in version skktools/1.3.2-2

Done: Tatsuya Kinoshita <tats@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tatsuya Kinoshita <tats@debian.org>:
Bug#659427; Package skktools. (Sat, 11 Feb 2012 00:00:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Tatsuya Kinoshita <tats@debian.org>. (Sat, 11 Feb 2012 00:00:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: skktools: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:58:54 +0000
Package: skktools
Version: 1.3.2-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/share/skktools/dbm/makedbmdic5:20 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659427; Package skktools. (Sat, 11 Feb 2012 12:08:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. (Sat, 11 Feb 2012 12:08:47 GMT) Full text and rfc822 format available.

Message #10 received at 659427@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: dom@earth.li, 659427@bugs.debian.org
Subject: Re: Bug#659427: skktools: Uses perl4 corelibs without Depends
Date: Sat, 11 Feb 2012 21:02:52 +0900 (JST)
[Message part 1 (text/plain, inline)]
tags 659427 + pending
thanks

On February 10, 2012 at 11:58PM +0000,
dom (at earth.li) wrote:

> Package: skktools
> Version: 1.3.2-1
[...]
> usr/share/skktools/dbm/makedbmdic5:20 getopts.pl
>
> As detailed at [2] we would like you to either add a dependency on
>
> libperl4-corelibs-perl | perl (<< 5.12.3-7)

I'll add the dependency to the Suggests line in the next upload.

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Tatsuya Kinoshita <tats@debian.org> to control@bugs.debian.org. (Sat, 11 Feb 2012 12:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659427; Package skktools. (Sun, 12 Feb 2012 04:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. (Sun, 12 Feb 2012 04:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 659427@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: 659427@bugs.debian.org
Cc: dom@earth.li
Subject: Re: Bug#659427: skktools: Uses perl4 corelibs without Depends
Date: Sun, 12 Feb 2012 13:38:35 +0900 (JST)
[Message part 1 (text/plain, inline)]
On February 11, 2012 at 9:02PM +0900,
tats (at debian.org) wrote:

>> usr/share/skktools/dbm/makedbmdic5:20 getopts.pl
>>
>> As detailed at [2] we would like you to either add a dependency on
>>
>> libperl4-corelibs-perl | perl (<< 5.12.3-7)
>
> I'll add the dependency to the Suggests line in the next upload.

Instead, I've replaced the use of getopts.pl with the replacement
Getopt::Std.

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Tatsuya Kinoshita <tats@debian.org>:
You have taken responsibility. (Sun, 12 Feb 2012 04:51:03 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 12 Feb 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 659427-close@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: 659427-close@bugs.debian.org
Subject: Bug#659427: fixed in skktools 1.3.2-2
Date: Sun, 12 Feb 2012 04:48:28 +0000
Source: skktools
Source-Version: 1.3.2-2

We believe that the bug you reported is fixed in the latest version of
skktools, which is due to be installed in the Debian FTP archive:

skktools_1.3.2-2.debian.tar.gz
  to main/s/skktools/skktools_1.3.2-2.debian.tar.gz
skktools_1.3.2-2.dsc
  to main/s/skktools/skktools_1.3.2-2.dsc
skktools_1.3.2-2_i386.deb
  to main/s/skktools/skktools_1.3.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659427@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tatsuya Kinoshita <tats@debian.org> (supplier of updated skktools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 Feb 2012 13:26:38 +0900
Source: skktools
Binary: skktools
Architecture: source i386
Version: 1.3.2-2
Distribution: unstable
Urgency: low
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Changed-By: Tatsuya Kinoshita <tats@debian.org>
Description: 
 skktools   - SKK dictionary maintenance tools
Closes: 659427
Changes: 
 skktools (1.3.2-2) unstable; urgency=low
 .
   * debian/patches/010_makedbmdic5.patch: Transition to Perl 5.16 for
     makedbmdic5. (closes: #659427)
   * debian/rules: New targets build-arch and build-indep.
   * debian/copyright: Updated.
Checksums-Sha1: 
 4e0bf3091a85d1b4c10f158ea6d1448201c67321 1737 skktools_1.3.2-2.dsc
 1565d5ef926fd9fa2db750029460be8252d5f772 10968 skktools_1.3.2-2.debian.tar.gz
 b120dfdef173033a2d766cff22945359f12f766f 74500 skktools_1.3.2-2_i386.deb
Checksums-Sha256: 
 a68692691fbe02756930e7870fb61d9e3e21e7604a6e45cae73defd0e31e8800 1737 skktools_1.3.2-2.dsc
 7e15fcd3678cc61eb06cf9baf64a9c941887ac3249a6e10f3c1e94c44aac166f 10968 skktools_1.3.2-2.debian.tar.gz
 25a7e9a6f1c495a7b3bf64505afcdfb5d228be96c7bb709f906eab7ef0257cb9 74500 skktools_1.3.2-2_i386.deb
Files: 
 251e7ee47e90a5aaed911262797beb23 1737 utils optional skktools_1.3.2-2.dsc
 e88e5fafeb273b17a3e59e50ee1524d7 10968 utils optional skktools_1.3.2-2.debian.tar.gz
 2fa39956cc2d5e589c9150da85067717 74500 utils optional skktools_1.3.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPN0KQAAoJEOXvq5AIDqY8XCMP/AzfGynbBqJXrknyI8j3Nkuj
OahXE7IfRxRLRkVc+rpBa1IDSvOyje0cZvn7MNneIIrP42vbR1/2B2bVFdzU/rcf
WfU51u40HLK11ZF7BW6HQ38hp6PLvwTHxq8XCJt2VmfpGCuahkG1gA6EqZs9vxTr
OAwCoLHnQ3r/xK8GxadcsEAczY7yzi1Ul7aXwOaX8t90yLXggCnaN8Cg6sE/hiFH
SdNv8X6dw1r0XZmBN4ukcCMnEQHo4KSir9DoIllkAZxwsRDy25Q/DTkols2+jz6V
MarNSFsXvYd04xBKmwYw+ttYTbKFzOui84pxmwUE6qs1jsCS6Nw4y4CqtUOD4EWn
XE42HNsCoHFEOdEFb/KGdvH5k5b2PQ5UN3WXtpPNQna483JL3IrE8fEVadaYoNR2
fGe82y8ep8dwQDYHq4kj908aLFsFJ0up/EGZBgksQpCY2IhgCSc2VnrKUxP89y+X
TOvP9E1Ygn1NnsE8YKy14k0tyn9r3e1SEHJkt1/waHyOSFR1IXaYWLLpQ32GttYY
N2rmMdibVLZg/AUwonzoegYz8cEWoot+1SE/CAqjKEvTv7WbFRpRe02mTbvXck9M
DRiU3ArpdG7p4k6C37/2lbRZfJXIt/6Ba6U/oXgLTIwbsliE37aCBesr5akIejLC
qsuj95kdhZW04Bwasa/B
=sI3G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Mar 2012 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:50:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.